# SecurePoint SSL VPN Client
# 2016-2018 foo.li systeme + software

$packageName    = 'foo-securepoint-sslvpn'
$version        = '2.0.22'
$fileType       = 'msi'
$silentArgs     = '/qn /norestart'
$checksum       = '1BE7998C11EDE46A07A59785FD4A5DCE59ADD08D'
$checksumType   = 'sha1'
$localfile      = '\\unxfsv001\software\free\o\openvpn\securepoint\SecurepointSSLVPN_' + $version + '.msi'

try {
    If (Test-Path $localfile) {
        Write-Host "installer found on fileserver..."
        $url    = $localfile
    } else {
        Write-Host "going to download installer from foo.li..."
        $url    = 'https://winpkg.foo.li/src/installer/SecurepointSSLVPN_' + $version + '.msi'
    }
    $url64  = $url
    Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
            -checksum $checksum -checksumType $checksumType
    Remove-Item "$env:PUBLIC\Desktop\Securepoint SSL VPN.lnk" -Force -ErrorAction SilentlyContinue
} catch {
    throw $_.Exception
}